summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/vpp/debug-build.sh
diff options
context:
space:
mode:
authorDave Wallace <dwallacelf@gmail.com>2022-11-10 14:39:37 -0500
committerDave Wallace <dwallacelf@gmail.com>2022-11-10 14:39:37 -0500
commit824b8c81257765f5e44c1b41087b8db0c41c6b6e (patch)
treece73d80a31c7bc2782bec2b3f0749715f7284e9d /jjb/scripts/vpp/debug-build.sh
parent814ce6bdf330fdfda90d3856211887c5be515d89 (diff)
Compress & archive failed tests in vpp-debug-verify jobs
Signed-off-by: Dave Wallace <dwallacelf@gmail.com> Change-Id: I9b99bc8ab2e1698f9539c19d772795091f51434e
Diffstat (limited to 'jjb/scripts/vpp/debug-build.sh')
-rw-r--r--jjb/scripts/vpp/debug-build.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/jjb/scripts/vpp/debug-build.sh b/jjb/scripts/vpp/debug-build.sh
index 6d9fabcb..8e5320c3 100644
--- a/jjb/scripts/vpp/debug-build.sh
+++ b/jjb/scripts/vpp/debug-build.sh
@@ -54,8 +54,9 @@ make_build_test_debug() {
echo "Testing VPP with automatically calculated number of cores. " \
"See test logs for the exact number."
fi
- if ! make UNATTENDED=yes TEST_JOBS="$TEST_JOBS" test-debug ; then
- BUILD_ERROR="FAILED 'make UNATTENDED=yes TEST_JOBS=$TEST_JOBS test-debug'"
+ if ! make UNATTENDED=yes COMPRESS_FAILED_TEST_LOGS=yes \
+ TEST_JOBS="$TEST_JOBS" test-debug ; then
+ BUILD_ERROR="FAILED 'make UNATTENDED=yes COMPRESS_FAILED_TEST_LOGS=yes TEST_JOBS=$TEST_JOBS test-debug'"
return
fi
else